
.btn {
    display: inline-block;
    margin-bottom: 0;
    font-weight: normal;
    text-align: center;
    vertical-align: middle;
    touch-action: manipulation;
    cursor: pointer;
    background-image: none;
    border: 1px solid transparent;
    white-space: nowrap;
    padding: 6px 12px;
    font-size: 11.5pt;
    line-height: 1.42857143;
    border-radius: 4px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none; }
    .btn:focus, .btn.focus, .btn:active:focus, .btn:active.focus, .btn.active:focus, .btn.active.focus {
      outline: 5px auto -webkit-focus-ring-color;
      outline-offset: -2px; }
    .btn:hover, .btn:focus, .btn.focus {
      color: #333;
      text-decoration: none; }
    .btn:active, .btn.active {
      outline: 0;
      background-image: none;
      -webkit-box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
      box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125); }
    .btn.disabled, .btn[disabled], fieldset[disabled] .btn {
      cursor: not-allowed;
      opacity: 0.65;
      filter: alpha(opacity=65);
      -webkit-box-shadow: none;
      box-shadow: none; }
  
  a.btn.disabled, fieldset[disabled] a.btn {
    pointer-events: none; }
  
  .btn-default {
    color: #333;
    color: var(--focus-background-color);
    border-color: #ccc; }
    .btn-default:focus, .btn-default.focus {
      color: #333;
      background-color: #e6e6e6;
      border-color: #8c8c8c; }
    .btn-default:hover {
      color: #333;
      background-color: #e6e6e6;
      border-color: #adadad; }
    .btn-default:active, .btn-default.active, .open > .btn-default.dropdown-toggle {
      color: #333;
      background-color: #e6e6e6;
      border-color: #adadad; }
      .btn-default:active:hover, .btn-default:active:focus, .btn-default:active.focus, .btn-default.active:hover, .btn-default.active:focus, .btn-default.active.focus, .open > .btn-default.dropdown-toggle:hover, .open > .btn-default.dropdown-toggle:focus, .open > .btn-default.dropdown-toggle.focus {
        color: #333;
        background-color: #d4d4d4;
        border-color: #8c8c8c; }
    .btn-default:active, .btn-default.active, .open > .btn-default.dropdown-toggle {
      background-image: none; }
    .btn-default.disabled:hover, .btn-default.disabled:focus, .btn-default.disabled.focus, .btn-default[disabled]:hover, .btn-default[disabled]:focus, .btn-default[disabled].focus, fieldset[disabled] .btn-default:hover, fieldset[disabled] .btn-default:focus, fieldset[disabled] .btn-default.focus {
      color: var(--focus-background-color);
      border-color: #ccc; }
    .btn-default .badge {
      color: #fff;
      background-color: #333; }
  
  .btn-primary {
    color: #fff;
    background-color: var(--focus-color);
    border-color: #00548d; }
    .btn-primary:focus, .btn-primary.focus {
      color: #fff;
      background-color: #004573;
      border-color: #00080d; }
    .btn-primary:hover {
      color: #fff;
      background-color: #004573;
      border-color: #002f4f; }
    .btn-primary:active, .btn-primary.active, .open > .btn-primary.dropdown-toggle {
      color: #fff;
      background-color: #004573;
      border-color: #002f4f; }
      .btn-primary:active:hover, .btn-primary:active:focus, .btn-primary:active.focus, .btn-primary.active:hover, .btn-primary.active:focus, .btn-primary.active.focus, .open > .btn-primary.dropdown-toggle:hover, .open > .btn-primary.dropdown-toggle:focus, .open > .btn-primary.dropdown-toggle.focus {
        color: #fff;
        background-color: #002f4f;
        border-color: #00080d; }
    .btn-primary:active, .btn-primary.active, .open > .btn-primary.dropdown-toggle {
      background-image: none; }
    .btn-primary.disabled:hover, .btn-primary.disabled:focus, .btn-primary.disabled.focus, .btn-primary[disabled]:hover, .btn-primary[disabled]:focus, .btn-primary[disabled].focus, fieldset[disabled] .btn-primary:hover, fieldset[disabled] .btn-primary:focus, fieldset[disabled] .btn-primary.focus {
      background-color: var(--focus-color);
      border-color: #00548d; }
    .btn-primary .badge {
      color: var(--focus-color);
      color: var(--focus-background-color); }
  
  .btn-success {
    color: #fff;
    background-color: #5cb85c;
    border-color: #4cae4c; }
    .btn-success:focus, .btn-success.focus {
      color: #fff;
      background-color: #449d44;
      border-color: #255625; }
    .btn-success:hover {
      color: #fff;
      background-color: #449d44;
      border-color: #398439; }
    .btn-success:active, .btn-success.active, .open > .btn-success.dropdown-toggle {
      color: #fff;
      background-color: #449d44;
      border-color: #398439; }
      .btn-success:active:hover, .btn-success:active:focus, .btn-success:active.focus, .btn-success.active:hover, .btn-success.active:focus, .btn-success.active.focus, .open > .btn-success.dropdown-toggle:hover, .open > .btn-success.dropdown-toggle:focus, .open > .btn-success.dropdown-toggle.focus {
        color: #fff;
        background-color: #398439;
        border-color: #255625; }
    .btn-success:active, .btn-success.active, .open > .btn-success.dropdown-toggle {
      background-image: none; }
    .btn-success.disabled:hover, .btn-success.disabled:focus, .btn-success.disabled.focus, .btn-success[disabled]:hover, .btn-success[disabled]:focus, .btn-success[disabled].focus, fieldset[disabled] .btn-success:hover, fieldset[disabled] .btn-success:focus, fieldset[disabled] .btn-success.focus {
      background-color: #5cb85c;
      border-color: #4cae4c; }
    .btn-success .badge {
      color: #5cb85c;
      color: var(--focus-background-color); }
  
  .btn-info {
    color: #fff;
    background-color: #5bc0de;
    border-color: #46b8da; }
    .btn-info:focus, .btn-info.focus {
      color: #fff;
      background-color: #31b0d5;
      border-color: #1b6d85; }
    .btn-info:hover {
      color: #fff;
      background-color: #31b0d5;
      border-color: #269abc; }
    .btn-info:active, .btn-info.active, .open > .btn-info.dropdown-toggle {
      color: #fff;
      background-color: #31b0d5;
      border-color: #269abc; }
      .btn-info:active:hover, .btn-info:active:focus, .btn-info:active.focus, .btn-info.active:hover, .btn-info.active:focus, .btn-info.active.focus, .open > .btn-info.dropdown-toggle:hover, .open > .btn-info.dropdown-toggle:focus, .open > .btn-info.dropdown-toggle.focus {
        color: #fff;
        background-color: #269abc;
        border-color: #1b6d85; }
    .btn-info:active, .btn-info.active, .open > .btn-info.dropdown-toggle {
      background-image: none; }
    .btn-info.disabled:hover, .btn-info.disabled:focus, .btn-info.disabled.focus, .btn-info[disabled]:hover, .btn-info[disabled]:focus, .btn-info[disabled].focus, fieldset[disabled] .btn-info:hover, fieldset[disabled] .btn-info:focus, fieldset[disabled] .btn-info.focus {
      background-color: #5bc0de;
      border-color: #46b8da; }
    .btn-info .badge {
      color: #5bc0de;
      color: var(--focus-background-color); }
  
  .btn-warning {
    color: #fff;
    background-color: #f0ad4e;
    border-color: #eea236; }
    .btn-warning:focus, .btn-warning.focus {
      color: #fff;
      background-color: #ec971f;
      border-color: #985f0d; }
    .btn-warning:hover {
      color: #fff;
      background-color: #ec971f;
      border-color: #d58512; }
    .btn-warning:active, .btn-warning.active, .open > .btn-warning.dropdown-toggle {
      color: #fff;
      background-color: #ec971f;
      border-color: #d58512; }
      .btn-warning:active:hover, .btn-warning:active:focus, .btn-warning:active.focus, .btn-warning.active:hover, .btn-warning.active:focus, .btn-warning.active.focus, .open > .btn-warning.dropdown-toggle:hover, .open > .btn-warning.dropdown-toggle:focus, .open > .btn-warning.dropdown-toggle.focus {
        color: #fff;
        background-color: #d58512;
        border-color: #985f0d; }
    .btn-warning:active, .btn-warning.active, .open > .btn-warning.dropdown-toggle {
      background-image: none; }
    .btn-warning.disabled:hover, .btn-warning.disabled:focus, .btn-warning.disabled.focus, .btn-warning[disabled]:hover, .btn-warning[disabled]:focus, .btn-warning[disabled].focus, fieldset[disabled] .btn-warning:hover, fieldset[disabled] .btn-warning:focus, fieldset[disabled] .btn-warning.focus {
      background-color: #f0ad4e;
      border-color: #eea236; }
    .btn-warning .badge {
      color: #f0ad4e;
      color: var(--focus-background-color); }
  
  .btn-danger {
    color: #fff;
    background-color: #dd4814;
    border-color: #c64012; }
    .btn-danger:focus, .btn-danger.focus {
      color: #fff;
      background-color: #ae3910;
      border-color: #511a07; }
    .btn-danger:hover {
      color: #fff;
      background-color: #ae3910;
      border-color: #8d2e0d; }
    .btn-danger:active, .btn-danger.active, .open > .btn-danger.dropdown-toggle {
      color: #fff;
      background-color: #ae3910;
      border-color: #8d2e0d; }
      .btn-danger:active:hover, .btn-danger:active:focus, .btn-danger:active.focus, .btn-danger.active:hover, .btn-danger.active:focus, .btn-danger.active.focus, .open > .btn-danger.dropdown-toggle:hover, .open > .btn-danger.dropdown-toggle:focus, .open > .btn-danger.dropdown-toggle.focus {
        color: #fff;
        background-color: #8d2e0d;
        border-color: #511a07; }
    .btn-danger:active, .btn-danger.active, .open > .btn-danger.dropdown-toggle {
      background-image: none; }
    .btn-danger.disabled:hover, .btn-danger.disabled:focus, .btn-danger.disabled.focus, .btn-danger[disabled]:hover, .btn-danger[disabled]:focus, .btn-danger[disabled].focus, fieldset[disabled] .btn-danger:hover, fieldset[disabled] .btn-danger:focus, fieldset[disabled] .btn-danger.focus {
      background-color: #dd4814;
      border-color: #c64012; }
    .btn-danger .badge {
      color: #dd4814;
      color: var(--focus-background-color); }
  
  .btn-link {
    color: var(--focus-color);
    font-weight: normal;
    border-radius: 0; }
    .btn-link, .btn-link:active, .btn-link.active, .btn-link[disabled], fieldset[disabled] .btn-link {
      background-color: transparent;
      -webkit-box-shadow: none;
      box-shadow: none; }
    .btn-link, .btn-link:hover, .btn-link:focus, .btn-link:active {
      border-color: transparent; }
    .btn-link:hover, .btn-link:focus {
      color: #00355a;
      text-decoration: underline;
      background-color: transparent; }
    .btn-link[disabled]:hover, .btn-link[disabled]:focus, fieldset[disabled] .btn-link:hover, fieldset[disabled] .btn-link:focus {
      color: #e4e4e4;
      text-decoration: none; }
  
  .btn-lg, .btn-group-lg > .btn {
    padding: 10px 16px;
    font-size: 15pt;
    line-height: 1.3333333;
    border-radius: 6px; }
  
  .btn-sm, .btn-group-sm > .btn {
    padding: 5px 10px;
    font-size: 10pt;
    line-height: 1.5;
    border-radius: 3px; }
  
  .btn-xs, .btn-group-xs > .btn {
    padding: 1px 5px;
    font-size: 10pt;
    line-height: 1.5;
    border-radius: 3px; }
  
  .btn-block {
    display: block;
    width: 100%; }
  
  .btn-block + .btn-block {
    margin-top: 5px; }
  
  input[type="submit"].btn-block,
  input[type="reset"].btn-block,
  input[type="button"].btn-block {
    width: 100%; }